Anforderungen  |   Konzepte  |   Entwurf  |   Entwicklung  |   Qualitätssicherung  |   Lebenszyklus  |   Steuerung
 
 
 
 


Quelle  stat_all_pfm.sh   Sprache: Shell

 
#!/bin/bash
# perf all libpfm4 events test
# SPDX-License-Identifier: GPL-2.0

if perf version --build-options | grep HAVE_LIBPFM | grep -q OFF
then
  echo "Skipping, no libpfm4 support"
  exit 2
fi

err=0
for p in $(perf list --raw-dump pfm)
do
  if echo "$p" | grep -q unc_
  then
    echo "Skipping uncore event '$p' that may require additional options."
    continue
  fi
  echo "Testing $p"
  result=$(perf stat --pfm-events "$p" true 2>&1)
  x=$?
  if echo "$result" | grep -q "failed to parse event $p : invalid or missing unit mask"
  then
    continue
  fi
  if test "$x" -ne "0"
  then
    echo "Unexpected exit code '$x'"
    err=1
  fi
  if ! echo "$result" | grep -q "$p" && ! echo "$result" | grep -q ""
  then
    # We failed to see the event and it is supported. Possibly the workload was
    # too small so retry with something longer.
    result=$(perf stat --pfm-events "$p" perf bench internals synthesize 2>&1)
    x=$?
    if test "$x" -ne "0"
    then
      echo "Unexpected exit code '$x'"
      err=1
    fi
    if ! echo "$result" | grep -q "$p"
    then
      echo "Event '$p' not printed in:"
      echo "$result"
      err=1
    fi
  fi
done

exit "$err"

Messung V0.5
C=91 H=95 G=92

¤ Dauer der Verarbeitung: 0.0 Sekunden  (vorverarbeitet)  ¤

*© Formatika GbR, Deutschland






Wurzel

Suchen

Beweissystem der NASA

Beweissystem Isabelle

NIST Cobol Testsuite

Cephes Mathematical Library

Wiener Entwicklungsmethode

Haftungshinweis

Die Informationen auf dieser Webseite wurden nach bestem Wissen sorgfältig zusammengestellt. Es wird jedoch weder Vollständigkeit, noch Richtigkeit, noch Qualität der bereit gestellten Informationen zugesichert.

Bemerkung:

Die farbliche Syntaxdarstellung und die Messung sind noch experimentell.






                                                                                                                                                                                                                                                                                                                                                                                                     


Neuigkeiten

     Aktuelles
     Motto des Tages

Software

     Produkte
     Quellcodebibliothek

Aktivitäten

     Artikel über Sicherheit
     Anleitung zur Aktivierung von SSL

Muße

     Gedichte
     Musik
     Bilder

Jenseits des Üblichen ....

Besucherstatistik

Besucherstatistik

Monitoring

Montastic status badge